Bug 1029133 - unusable after installation if pcsc-lite isn't installed
unusable after installation if pcsc-lite isn't installed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: opensc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nikos Mavrogiannopoulos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 12:51 EST by Nikos Mavrogiannopoulos
Modified: 2013-12-30 00:02 EST (History)
4 users (show)

See Also:
Fixed In Version: opensc-0.13.0-7.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-30 00:02:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Mavrogiannopoulos 2013-11-11 12:51:30 EST
Description of problem:
I installed the opensc package, but after installation I couldn't use the (PC/SC) smart cards I had. opensc-tool -l detected no readers. After installing pcsc-lite the issue was solved, so I believe opensc should Require pcsc-lite (unless there is some reason that prohibits that).

Version     : 0.13.0
Release     : 5.fc20

Steps to Reproduce:
1. Install opensc (and remove pcsc-lite -if installed)
2. Try "opensc-tool -l"
3. It shouldn't list any cards
4. Install pcsc-lite
5. Try "opensc-tool -l"
6. It list the available cards
Comment 1 Fedora Update System 2013-12-18 11:05:14 EST
opensc-0.13.0-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/opensc-0.13.0-7.fc20
Comment 2 Fedora Update System 2013-12-19 20:51:14 EST
Package opensc-0.13.0-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing opensc-0.13.0-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23631/opensc-0.13.0-7.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-12-20 10:45:54 EST
opensc-0.13.0-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/opensc-0.13.0-7.fc19
Comment 4 Fedora Update System 2013-12-30 00:02:49 EST
opensc-0.13.0-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.